# Class Role

Role class

#### Hierarchy

- Role

#### Implements

- AbstractRole

- Defined in saltcorn-data/models/role.ts:18

#####
Index

### Constructors

constructor

### Properties

id
role

### Methods

delete
update
create
find
findOne

## Constructors

### constructor

- new Role(o): Role

- Role constructor

  #### Parameters

  - ##### o: AbstractRole

  #### Returns Role

  - Defined in saltcorn-data/models/role.ts:26

## Properties

### id

id: number

Implementation of AbstractRole.id

- Defined in saltcorn-data/models/role.ts:19

### role

role: string

Implementation of AbstractRole.role

- Defined in saltcorn-data/models/role.ts:20

## Methods

### delete

- delete(): Promise<void>

- #### Returns Promise<void>

  - Defined in saltcorn-data/models/role.ts:72

### update

- update(row): Promise<void>

- #### Parameters

  - ##### row: Partial<Role>

  #### Returns Promise<void>

  - Defined in saltcorn-data/models/role.ts:81

### `Static` create

- create(uo): Promise<Role | {
  error: string;
  }>

- #### Parameters

  - ##### uo: AbstractRole

  #### Returns Promise<Role | {
  error: string;
  }>

  - Defined in saltcorn-data/models/role.ts:35

### `Static` find

- find(where, selectopts?): Promise<Role[]>

- #### Parameters

  - ##### where: Where

  - ##### `Optional` selectopts: SelectOptions

  #### Returns Promise<Role[]>

  - Defined in saltcorn-data/models/role.ts:52

### `Static` findOne

- findOne(where): Promise<Role>

- #### Parameters

  - ##### where: Where

  #### Returns Promise<Role>

  - Defined in saltcorn-data/models/role.ts:64

Generated using TypeDoc